{
    "name": "claromentis\/framework",
    "description": "Claromentis Core",
    "keywords": [
        "claromentis",
        "core",
        "framework"
    ],
    "type": "claromentis-core",
    "license": "proprietary",
    "repositories": [
        {
            "type": "composer",
            "url": "https:\/\/packages.claromentis.net"
        }
    ],
    "require": {
        "php": "7.4.x",
        "ext-bcmath": "*",
        "ext-curl": "*",
        "ext-dom": "*",
        "ext-fileinfo": "*",
        "ext-iconv": "*",
        "ext-imap": "*",
        "ext-intl": "*",
        "ext-gd": "*",
        "ext-json": "*",
        "ext-libxml": "*",
        "ext-mbstring": "*",
        "ext-openssl": "*",
        "ext-simplexml": "*",
        "ext-xml": "*",
        "ext-zip": "*",
        "ext-zlib": "*",
        "composer-runtime-api": "^2.0",
        "ddeboer\/imap": "^1.10",
        "silex\/silex": "~2.0",
        "psr\/log": "~1.0",
        "monolog\/monolog": "~1.21.0",
        "elasticsearch\/elasticsearch": "^7.0.0",
        "jbbcode\/jbbcode": "1.3.*",
        "tedivm\/jshrink": "^1.0.1",
        "tubalmartin\/cssmin": "2.4.x",
        "oyejorge\/less.php": "1.7.x",
        "scssphp\/scssphp": "^1.1.1",
        "league\/oauth2-server": "~6.0",
        "aws\/aws-sdk-php": "3.*",
        "google\/apiclient": "^1.1.8",
        "symfony\/process": "^4",
        "laminas\/laminas-diactoros": "^2.2",
        "symfony\/psr-http-message-bridge": "^2.0.0",
        "twig\/twig": "^1.20.0 | ^2.0.0",
        "predis\/predis": "^1.1",
        "analogue\/orm": "^5.6.14",
        "league\/flysystem": "^1.0",
        "twistor\/flysystem-stream-wrapper": "^1.0.10",
        "sabberworm\/php-css-parser": "^8.2",
        "symfony\/console": "^4.4.23",
        "vlucas\/phpdotenv": "^3.1.0",
        "league\/flysystem-cached-adapter": "^1.0",
        "symfony\/config": "^4.2",
        "symfony\/mailer": "^4.4",
        "symfony\/sendgrid-mailer": "^5.4",
        "symfony\/http-client": "^5.4",
        "symfony\/polyfill-php73": "^1.11",
        "superbalist\/flysystem-google-storage": "^7.2",
        "hoa\/compiler": "^3.17",
        "mobiledetect\/mobiledetectlib": "^2.8",
        "ocramius\/proxy-manager": "~2.8.1",
        "zbateson\/mail-mime-parser": "^1.2",
        "webmozart\/assert": "^1.10",
        "myclabs\/deep-copy": "^1.10",
        "amenadiel\/jpgraph": "^4",
        "league\/flysystem-aws-s3-v3": "^1.0.29",
        "nesbot\/carbon": "^1.25",
        "gotenberg\/gotenberg-php": "^1.1",
        "chillerlan\/php-qrcode": "^5.0",
        "ocramius\/package-versions": "^1.9.0"
    },
    "require-dev": {
        "educoder\/pest": "^1.0.0",
        "behat\/behat": "^3.5",
        "behat\/mink": "^1.7",
        "behat\/mink-extension": "^2.3",
        "behat\/mink-goutte-driver": "^1.2",
        "behat\/mink-selenium2-driver": "^1.3",
        "mockery\/mockery": "^1.0.0",
        "phing\/phing": "^2",
        "phpcompatibility\/php-compatibility": "^9.3",
        "phpunit\/phpunit": "^7.5.12",
        "dmore\/chrome-mink-driver": "2.9.2",
        "dmore\/behat-chrome-extension": "^1.4"
    },
    "suggest": {
        "ext-exif": "Required to parse EXIF metadata from image files",
        "ext-ldap": "Required for LDAP user directory integration",
        "ext-memcache": "Required for the Memcache cache driver",
        "ext-memcached": "Required for the Memcached cache driver",
        "ext-mssql": "Required for the Sybase MSSQL database driver",
        "ext-mysqli": "Required for the MySQL database driver",
        "ext-odbc": "Required for the ODBC MSSQL database driver",
        "ext-opcache": "Required for PHP Opcode caching",
        "ext-pdo_dblib": "Required for MSSQL database access in Linux environments",
        "ext-rar": "Required for RAR archive processing",
        "ext-soap": "Required for internet license activation",
        "ext-sqlite3": "Required for the SQLite 3 database driver",
        "ext-sqlsrv": "Required for the MSSQL Native Client database driver",
        "composer-runtime-api": "Required for installed package version introspection",
        "claromentis\/installer-composer-plugin": "Required to install Claromentis Core & Modules as one project"
    },
    "autoload": {
        "classmap": [
            "web\/lib\/"
        ],
        "psr-4": {
            "Claromentis\\Core\\": "web\/intranet\/core\/classes\/",
            "Claromentis\\Console\\": "console\/src"
        },
        "files": [
            "web\/intranet\/common\/classes\/date\/date_constants.php",
            "web\/intranet\/common\/classes\/exceptions.php",
            "web\/intranet\/common\/core_php.php",
            "web\/intranet\/common\/constants.php",
            "web\/intranet\/common\/ifunctions.php",
            "web\/intranet\/common\/filesystem.php",
            "web\/intranet\/common\/localization.php",
            "web\/intranet\/common\/perms.php",
            "web\/intranet\/common\/templater.php",
            "web\/intranet\/core\/functions.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Claromentis\\People\\Tests\\": "web\/intranet\/people\/tests",
            "Claromentis\\Infocapture\\Tests\\": "web\/intranet\/infocapture\/tests",
            "Claromentis\\Core\\Tests\\": "web\/intranet\/core\/tests",
            "Claromentis\\Setup\\Tests\\": "web\/intranet\/setup\/tests"
        }
    },
    "config": {
        "allow-plugins": {
            "kylekatarnls\/update-helper": false,
            "ocramius\/package-versions": true,
            "claromentis\/installer-composer-plugin": true,
            "claromentis\/composer-installer-plugin": true,
            "php-http\/discovery": true,
            "*": false
        },
        "component-dir": "web\/components",
        "component-baseurl": "\/components",
        "preferred-install": "dist",
        "vendor-dir": "vendor_core"
    },
    "scripts": {
        "phpcs": "\"vendor_core\/bin\/phpcs\" -p --standard=phpcs.xml",
        "phpcbf": "\"vendor_core\/bin\/phpcbf\" -p --standard=phpcs.xml",
        "phpunit": "\"vendor_core\/bin\/phpunit\"",
        "rebuild": "composer install && npm i -g npm && npm i && clc assets:build"
    },
    "extra": {
        "claromentis": {
            "version": "9.6.4",
            "release-date": "2025-10-29",
            "reference": "d28e5cf70d"
        }
    }
}